/*
 * ICESOFT COMMERCIAL SOURCE CODE LICENSE V 1.1
 *
 * The contents of this file are subject to the ICEsoft Commercial Source
 * Code License Agreement V1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of the
 * License at
 * http://www.icesoft.com/license/commercial-source-v1.1.html
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * Copyright 2009-2015 ICEsoft Technologies Canada, Corp. All Rights Reserved.
 */

package com.icesoft.icepush;

import java.util.Timer;
import java.util.logging.Level;
import java.util.logging.Logger;

import javax.servlet.ServletContext;

import org.icepush.BlockingConnectionServer;
import org.icepush.Configuration;
import org.icepush.PushContext;
import org.icepush.PushGroupManager;
import org.icepush.SequenceTaggingServer;
import org.icepush.http.Server;
import org.icepush.util.Slot;

public class BrowserBoundServlet
extends org.icepush.servlet.BrowserBoundServlet {
    private static final Logger LOGGER = Logger.getLogger(BrowserBoundServlet.class.getName());

    public BrowserBoundServlet(
        final PushContext pushContext, final ServletContext context, final PushGroupManager pushGroupManager,
        final Timer monitoringScheduler, final Configuration configuration,
        final boolean terminateBlockingConnectionOnShutdown) {

        super(
            pushContext, context, pushGroupManager, monitoringScheduler, configuration,
            terminateBlockingConnectionOnShutdown);
    }

    protected Server createBlockingConnectionServer() {
        Slot sequenceNo = new Slot(0L);
        return
            new AdjustHeartbeatServer(
                sequenceNo,
                heartbeatInterval,
                configuration,
                new SequenceTaggingServer(
                    sequenceNo,
                    new BlockingConnectionServer(
                        pushGroupManager,
                        monitoringScheduler,
                        heartbeatInterval,
                        terminateBlockingConnectionOnShutdown,
                        configuration
                    )
                )
            );
    }
}
